CREATE PROCEDURE spGetVisitorBrowsers
	@start_date datetime,
	@end_date datetime
AS
BEGIN
	select visitor_browser, count(*) 
	from tblvisitor
	WHERE datediff(d, visitor_date, @start_date) <=0
	AND datediff(d, visitor_date, @end_date) >=0
	group by visitor_browser
	order by count(*) desc
END